# `@highlight-ui/accordion`

## Performance Tips

The Accordion component depends on [React DND](https://react-dnd.github.io/react-dnd/about), which is a
relatively heavy dependency. This component's package is tree shakeable, if you
do not need the drag-and-drop functionalities you can import the `StaticAccordion`
component instead of the `Accordion` component.

```ts
import { StaticAccordion } from '@highlight-ui/accordion';
```

If you only need the drag-and-drop functionalities of the component, you can import
the `DraggableAccordion` component:

```ts
import { DraggableAccordion } from '@highlight-ui/accordion';
```

## Installation

```
yarn add @highlight-ui/accordion react-dnd@^10.0.2 react-dnd-html5-backend@^10.0.2
```

## Usage

In your TypeScript file:

```ts
import {
  Accordion,
  AccordionProps,
  AccordionSection,
  Expandable,
  ExpandableProps,
} from '@highlight-ui/accordion';
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/accordion');
```

## Documentation

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/0289d5-accordion)
